| Flutter Impeller |

Public Member Functions | List of all members
impeller::ErodeImageFilter Class Reference

`#include <image_filter.h>`

Inheritance diagram for impeller::ErodeImageFilter:

## Public Member Functions
| ErodeImageFilter (Radius radius_x, Radius radius_y)
| ~ErodeImageFilter () override
std::shared_ptr< FilterContents > | WrapInput (const FilterInput::Ref &input) const override
| Wraps the given filter input with a GPU-based image filter. More...
std::shared_ptr< ImageFilter > | Clone () const override
void | Visit (ImageFilterVisitor &visitor) override
Public Member Functions inherited from impeller::ImageFilter
| ImageFilter ()
virtual | ~ImageFilter ()
std::shared_ptr< FilterContents > | GetFilterContents () const
| Generate a new FilterContents using this filter's configuration. More...
virtual int | GetRequiredMipCount () const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::ImageFilter
static std::shared_ptr< ImageFilter > | MakeBlur (Sigma sigma_x, Sigma sigma_y, FilterContents::BlurStyle blur_style, Entity::TileMode tile_mode)
static std::shared_ptr< ImageFilter > | MakeDilate (Radius radius_x, Radius radius_y)
static std::shared_ptr< ImageFilter > | MakeErode (Radius radius_x, Radius radius_y)
static std::shared_ptr< ImageFilter > | MakeMatrix (const Matrix &matrix, SamplerDescriptor sampler_descriptor)
static std::shared_ptr< ImageFilter > | MakeCompose (const ImageFilter &inner, const ImageFilter &outer)
static std::shared_ptr< ImageFilter > | MakeFromColorFilter (const ColorFilter &color_filter)
static std::shared_ptr< ImageFilter > | MakeLocalMatrix (const Matrix &matrix, const ImageFilter &internal_filter)

## Detailed Description

Definition at line 155 of file image_filter.h.

## Constructor & Destructor Documentation

## ◆ ErodeImageFilter()

impeller::ErodeImageFilter::ErodeImageFilter | ( | Radius | radius_x,
|  | Radius | radius_y
| ) |  |

Definition at line 115 of file image_filter.cc.

116 : radius_x_(radius_x), radius_y_(radius_y) {}

## ◆ ~ErodeImageFilter()

impeller::ErodeImageFilter::~ErodeImageFilter | ( |  | ) |
| override default

## Member Function Documentation

## ◆ Clone()

std::shared_ptr< ImageFilter > impeller::ErodeImageFilter::Clone | ( |  | ) | const
| override virtual

Implements impeller::ImageFilter.

Definition at line 126 of file image_filter.cc.

126 {
127 return std::make_shared<ErodeImageFilter>(*this);
128 }

## ◆ Visit()

void impeller::ErodeImageFilter::Visit | ( | ImageFilterVisitor & | visitor | ) |
| inline override virtual

Implements impeller::ImageFilter.

Definition at line 171 of file image_filter.h.

171 :
172 Radius radius_x_;

## ◆ WrapInput()

std::shared_ptr< FilterContents > impeller::ErodeImageFilter::WrapInput | ( | const FilterInput::Ref & | input | ) | const
| override virtual

Wraps the given filter input with a GPU-based image filter.

Implements impeller::ImageFilter.

Definition at line 120 of file image_filter.cc.

121 {
122 return FilterContents::MakeMorphology(input, radius_x_, radius_y_,
123 FilterContents::MorphType::kErode);
124 }

References impeller::FilterContents::kErode, and impeller::FilterContents::MakeMorphology().

The documentation for this class was generated from the following files:

- impeller/aiks/image_filter.h
- impeller/aiks/image_filter.cc

impeller::FilterContents::MorphType::kErode
@ kErode
impeller::FilterContents::MakeMorphology
static std::shared_ptr< FilterContents > MakeMorphology(FilterInput::Ref input, Radius radius_x, Radius radius_y, MorphType morph_type)
Definition: filter_contents.cc:74